Subject: Re: bug#66655: 29.1; Clicking buttons sometimes doesn't work

From: Stefan Monnier <[email-masked]>
Date: Mon, 23 Oct 2023 18:36:11 -0400

> Yes, that's the logic here.  Technically, it happens because clicking
> the mouse emits 2 events: down-mouse-1 followed by another one caused
> by releasing the mouse button, and the first event could cause
> redisplay (as happens in this case) because it generally moves point
> to the location of the click.

So maybe, in order to upgrade an `up` to a `drag` we should check that:
- the end (buffer) position is different.
- and the mouse has actually moved.
Currently we detect a mouse-has-moved when the start and end (screen)
position of the mouse are different, but maybe we should additionally
set a flag when the mouse is moved, so that it's still considered as
"moved" if the mouse returns to its initial (screen) position?

        Stefan